package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformQwDataStatSubChannel {
    private Long id;

    private String dateStr;

    private String subChannel;

    private Integer firstLevelCount;

    private Double score;

    private Double unitPrice;

    private Double settlementAmount;

    private Long createAccountId;

    private Long createTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }

    public String getSubChannel() {
        return subChannel;
    }

    public void setSubChannel(String subChannel) {
        this.subChannel = subChannel;
    }

    public Integer getFirstLevelCount() {
        return firstLevelCount;
    }

    public void setFirstLevelCount(Integer firstLevelCount) {
        this.firstLevelCount = firstLevelCount;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Double getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(Double settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public Long getCreateAccountId() {
        return createAccountId;
    }

    public void setCreateAccountId(Long createAccountId) {
        this.createAccountId = createAccountId;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dateStr=").append(dateStr);
        sb.append(", subChannel=").append(subChannel);
        sb.append(", firstLevelCount=").append(firstLevelCount);
        sb.append(", score=").append(score);
        sb.append(", unitPrice=").append(unitPrice);
        sb.append(", settlementAmount=").append(settlementAmount);
        sb.append(", createAccountId=").append(createAccountId);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append("]");
        return sb.toString();
    }
}